Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Interface InvocableMap.ParallelAwareAggregator

All Superinterfaces:
  InvocableMap.EntryAggregator, Serializable

All Known Implementing Classes:
  AbstractAggregator, AbstractBigDecimalAggregator, AbstractComparableAggregator, AbstractDoubleAggregator, AbstractLongAggregator, BigDecimalAverage, BigDecimalMax, BigDecimalMin, BigDecimalSum, ComparableMax, ComparableMin, CompositeAggregator.Parallel, Count, DistinctValues, DoubleAverage, DoubleMax, DoubleMin, DoubleSum, GroupAggregator.Parallel, LongMax, LongMin, LongSum, PriorityAggregator, ReducerAggregator

Enclosing interface:
  InvocableMap

      public static interface InvocableMap.ParallelAwareAggregator

extends InvocableMap.EntryAggregator

A ParallelAwareAggregator is an advanced extension to EntryAggregator that is explicitly capable of being run in parallel, for example in a distributed environment.

Method Summary
`Object` | `aggregateResults(Collection collResults)` Aggregate the results of the parallel aggregations.
`InvocableMap.EntryAggregator` | `getParallelAggregator()` Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.

Methods inherited from interface com.tangosol.util.InvocableMap.EntryAggregator
`aggregate`

Method Detail

### getParallelAggregator

    InvocableMap.EntryAggregator getParallelAggregator()

  Get an aggregator that can take the place of this aggregator in situations in which the InvocableMap can aggregate in parallel.
  Returns:
    the aggregator that will be run in parallel

### aggregateResults

    Object aggregateResults(Collection collResults)

  Aggregate the results of the parallel aggregations.
  Parameters:
    `collResults` - the parallel aggregation results
  Returns:
    the aggregation of the parallel aggregation results

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.